Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Class DiagramEditDomain

    java.lang.Object
      org.eclipse.gef.EditDomain
          org.eclipse.gef.DefaultEditDomain
              org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditDomain

All Implemented Interfaces:
  IDiagramEditDomain

public class DiagramEditDomain
extends DefaultEditDomain
implements IDiagramEditDomain

The diagram editor edit domain that holds all data that is contexual to the editor instance

Constructor Summary
`DiagramEditDomain(IEditorPart editorPart)` Creates a DefaultEditDomain for the given IEditorPart

Method Summary
`ActionManager` `getActionManager()` gets the action manager
`DiagramCommandStack` `getDiagramCommandStack()` Returns the DiagramCommandStack to be used with ICommands.
`IDiagramWorkbenchPart` `getDiagramEditorPart()` gets the diagram editor part
`void` `setActionManager(ActionManager manager)`

Methods inherited from class org.eclipse.gef.DefaultEditDomain
`getEditorPart, setEditorPart`

Methods inherited from class org.eclipse.gef.EditDomain

`addViewer, focusGained, focusLost, getActiveTool, getCommandStack, getDefaultTool, getPaletteViewer, keyDown, keyTraversed, keyUp, loadDefaultTool, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, removeViewer, setActiveTool, setCommandStack, setDefaultTool, setPaletteRoot, setPaletteViewer, viewerEntered, viewerExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramEditDomain

    public DiagramEditDomain(IEditorPart editorPart)

  Creates a DefaultEditDomain for the given IEditorPart

Parameters:
  `editorPart` -

Method Detail

### getDiagramEditorPart

    public IDiagramWorkbenchPart getDiagramEditorPart()

  gets the diagram editor part

  Returns:
    `IDiagramWorkbenchPart`

### getDiagramCommandStack

    public DiagramCommandStack getDiagramCommandStack()

  Description copied from interface: `IDiagramEditDomain`
  Returns the DiagramCommandStack to be used with ICommands.

  Specified by:
    `getDiagramCommandStack` in interface `IDiagramEditDomain`
  Returns:
    The command stack for this edit domain.
  See Also:
    `IDiagramEditDomain.getDiagramCommandStack()`

### getActionManager

    public ActionManager getActionManager()

  gets the action manager

  Specified by:
    `getActionManager` in interface `IDiagramEditDomain`
  Returns:
    `ActionManager`

### setActionManager

    public void setActionManager(ActionManager manager)

  Parameters:
    `manager` -

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.